Get MyAnimeList character
Get a MyAnimeList character's profile, attributes, biography and voice actors.
Headers
Get your API keyAPI key (`sfk_...`)
MyAnimeList numeric id.
≥ 1 · ≤ 100000000
Endpoint-specific response payload.
`not_found` when the entity does not exist (a deleted title, an unknown id or user), not when a list is empty.
one of: found, not_found
The character when lookupStatus is `found`; otherwise null.
Character id.
Character name, family name first.
Native name.
Character URL.
Character image.
Member favourites.
Free-form `Key: value` attributes.
Character biography.
Anime appearances.
Anime id.
Anime title.
Role.
Anime URL.
Manga appearances.
Manga id.
Manga title.
Role.
Manga URL.
Voice actors.
Voice actor id.
Voice actor name.
Language.
Person URL.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/myanimelist/characters/1" \
-H "x-api-key: YOUR_API_KEY"Responses
MyAnimeList character.